CREATE TABLE cjm_manual_adjustments_all_b (
    MANUAL_ADJUSTMENT_ID          NUMBER(18, 0) ,
    MANUAL_ADJUSTMENT_NUMBER      VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    BU_ID                         NUMBER(18, 0)     NOT NULL,
    STATUS_CODE                   VARCHAR2(120) ,
    ACCRUAL_TYPE_CODE             VARCHAR2(120) ,
    ADJUSTMENT_TYPE_CODE          VARCHAR2(120) ,
    ADJUSTMENT_TYPE_ID            NUMBER(18, 0) ,
    BENEFICIARY_TYPE_CODE         VARCHAR2(120) ,
    VENDOR_ID                     NUMBER(18, 0) ,
    VENDOR_SITE_ID                NUMBER(18, 0) ,
    PARTY_ID                      NUMBER(18, 0) ,
    CUST_ACCOUNT_ID               NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_ID           NUMBER(18, 0) ,
    BILL_TO_SITE_USE_ID           NUMBER(18, 0) ,
    SHIP_TO_PARTY_SITE_ID         NUMBER(18, 0) ,
    PROGRAM_HEADER_ID             NUMBER(18, 0) ,
    PROGRAM_LINE_ID               NUMBER(18, 0) ,
    ITEM_LEVEL_CODE               VARCHAR2(120) ,
    ITEM_ID                       NUMBER(18, 0) ,
    OBJECT_TYPE                   VARCHAR2(120) ,
    OBJECT_ID                     NUMBER(18, 0) ,
    OBJECT_LINE_ID                NUMBER(18, 0) ,
    ADJUSTMENT_AMOUNT             NUMBER        ,
    ADJUSTMENT_CURRENCY_CODE      VARCHAR2(60)  ,
    REQUESTED_GL_DATE             DATE          ,
    ADJUSTMENT_DATE               DATE          ,
    INVOICE_DATE                  DATE          ,
    INVOICE_ID                    NUMBER(18, 0) ,
    INVOICE_NUMBER                VARCHAR2(200) ,
    INVOICE_SOURCE_CODE           VARCHAR2(200) ,
    CUSTOMER_TRX_LINE_ID          NUMBER(18, 0) ,
    INVOICE_LINE_NUMBER           NUMBER        ,
    ADJUSTMENT_REASON_ID          NUMBER(18, 0) ,
    TP_ITEM_ID                    NUMBER(18, 0) ,
    INVOICE_SOURCE_APPLICATION    VARCHAR2(120) ,
    RECEIPT_ID                    NUMBER(18, 0) ,
    RECEIPT_NUMBER                VARCHAR2(120) ,
    EXPECTED_RECEIPT_DATE         DATE          ,
    PO_HEADER_ID                  NUMBER(18, 0) ,
    PO_NUMBER                     VARCHAR2(120) ,
    TRANSACTION_ID                NUMBER(18, 0) ,
    PO_DATE                       DATE          ,
    TRANSACTION_DATE              DATE          ,
    SOURCE_UTILIZATION_ID         NUMBER(18, 0) ,
    INVENTORY_ORGANIZATION_ID     NUMBER(18, 0) ,
    OWNER_ID                      NUMBER(18, 0) ,
    APPROVED_BY                   NUMBER(18, 0) ,
    APPROVED_DATE                 DATE          ,
    BILL_TO_LOCATION_ID           NUMBER(18, 0) ,
    SHIP_TO_LOCATION_ID           NUMBER(18, 0) ,
    ORIG_SYSTEM_SOURCE            VARCHAR2(960) ,
    DOCUMENT_TYPE_CODE            VARCHAR2(120) ,
    OBJECT_LINE_REASON            VARCHAR2(960) ,
    ORIG_OBJECT_NUMBER            VARCHAR2(200) ,
    ORIG_OBJECT_LINE_NUM          NUMBER(18, 0) ,
    EXCHANGE_RATE_TYPE            VARCHAR2(120) ,
    EXCHANGE_RATE_DATE            DATE          ,
    ACCRUAL_REVERSAL_FLAG         VARCHAR2(4)   ,
    OWNER_USER_ID                 NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_CHAR16              VARCHAR2(600) ,
    ATTRIBUTE_CHAR17              VARCHAR2(600) ,
    ATTRIBUTE_CHAR18              VARCHAR2(600) ,
    ATTRIBUTE_CHAR19              VARCHAR2(600) ,
    ATTRIBUTE_CHAR20              VARCHAR2(600) ,
    ATTRIBUTE_CHAR21              VARCHAR2(600) ,
    ATTRIBUTE_CHAR22              VARCHAR2(600) ,
    ATTRIBUTE_CHAR23              VARCHAR2(600) ,
    ATTRIBUTE_CHAR24              VARCHAR2(600) ,
    ATTRIBUTE_CHAR25              VARCHAR2(600) ,
    ATTRIBUTE_CHAR26              VARCHAR2(600) ,
    ATTRIBUTE_CHAR27              VARCHAR2(600) ,
    ATTRIBUTE_CHAR28              VARCHAR2(600) ,
    ATTRIBUTE_CHAR29              VARCHAR2(600) ,
    ATTRIBUTE_CHAR30              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER2             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER3             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER4             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER5             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER6             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER7             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER8             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER9             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER10            NUMBER(22, 0) ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    MANUAL_ADJUSTMENT_ID          NUMBER(18, 0) ,
    MANUAL_ADJUSTMENT_NUMBER      VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    BU_ID                         NUMBER(18, 0)     NOT NULL,
    BILL_TO_BU_ID                 NUMBER(18, 0) ,
    STATUS_CODE                   VARCHAR2(120) ,
    ACCRUAL_TYPE_CODE             VARCHAR2(120) ,
    ADJUSTMENT_TYPE_CODE          VARCHAR2(120) ,
    ADJUSTMENT_TYPE_ID            NUMBER(18, 0) ,
    BENEFICIARY_TYPE_CODE         VARCHAR2(120) ,
    VENDOR_ID                     NUMBER(18, 0) ,
    VENDOR_SITE_ID                NUMBER(18, 0) ,
    PARTY_ID                      NUMBER(18, 0) ,
    CUST_ACCOUNT_ID               NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_ID           NUMBER(18, 0) ,
    BILL_TO_SITE_USE_ID           NUMBER(18, 0) ,
    SHIP_TO_PARTY_SITE_ID         NUMBER(18, 0) ,
    PROGRAM_HEADER_ID             NUMBER(18, 0) ,
    PROGRAM_LINE_ID               NUMBER(18, 0) ,
    ITEM_LEVEL_CODE               VARCHAR2(120) ,
    ITEM_ID                       NUMBER(18, 0) ,
    OBJECT_TYPE                   VARCHAR2(120) ,
    OBJECT_ID                     NUMBER(18, 0) ,
    OBJECT_LINE_ID                NUMBER(18, 0) ,
    ADJUSTMENT_AMOUNT             NUMBER        ,
    ADJUSTMENT_CURRENCY_CODE      VARCHAR2(60)  ,
    REQUESTED_GL_DATE             DATE          ,
    ADJUSTMENT_DATE               DATE          ,
    INVOICE_DATE                  DATE          ,
    INVOICE_ID                    NUMBER(18, 0) ,
    INVOICE_NUMBER                VARCHAR2(200) ,
    INVOICE_SOURCE_CODE           VARCHAR2(200) ,
    CUSTOMER_TRX_LINE_ID          NUMBER(18, 0) ,
    INVOICE_LINE_NUMBER           NUMBER        ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_CHAR16              VARCHAR2(600) ,
    ATTRIBUTE_CHAR17              VARCHAR2(600) ,
    ATTRIBUTE_CHAR18              VARCHAR2(600) ,
    ATTRIBUTE_CHAR19              VARCHAR2(600) ,
    ATTRIBUTE_CHAR20              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER2             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER3             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER4             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER5             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER6             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER7             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER8             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER9             NUMBER(22, 0) ,
    ATTRIBUTE_NUMBER10            NUMBER(22, 0) ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    ADJUSTMENT_REASON_ID          NUMBER(18, 0) ,
    TP_ITEM_ID                    NUMBER(18, 0) ,
    INVOICE_SOURCE_APPLICATION    VARCHAR2(120) ,
    RECEIPT_ID                    NUMBER(18, 0) ,
    RECEIPT_NUMBER                VARCHAR2(120) ,
    EXPECTED_RECEIPT_DATE         DATE          ,
    PO_HEADER_ID                  NUMBER(18, 0) ,
    PO_NUMBER                     VARCHAR2(120) ,
    TRANSACTION_ID                NUMBER(18, 0) ,
    PO_DATE                       DATE          ,
    TRANSACTION_DATE              DATE          ,
    SOURCE_UTILIZATION_ID         NUMBER(18, 0) ,
    INVENTORY_ORGANIZATION_ID     NUMBER(18, 0) ,
    OWNER_ID                      NUMBER(18, 0) ,
    APPROVED_BY                   NUMBER(18, 0) ,
    APPROVED_DATE                 DATE          ,
    BILL_TO_LOCATION_ID           NUMBER(18, 0) ,
    SHIP_TO_LOCATION_ID           NUMBER(18, 0) ,
    ORIG_SYSTEM_SOURCE            VARCHAR2(960) ,
    DOCUMENT_TYPE_CODE            VARCHAR2(120) ,
    OBJECT_LINE_REASON            VARCHAR2(960) ,
    ORIG_OBJECT_NUMBER            VARCHAR2(200) ,
    ORIG_OBJECT_LINE_NUM          NUMBER(18, 0) ,
    EXCHANGE_RATE_TYPE            VARCHAR2(120) ,
    EXCHANGE_RATE_DATE            DATE          ,
    ACCRUAL_REVERSAL_FLAG         VARCHAR2(4)   ,
    OWNER_USER_ID                 NUMBER(18, 0) ,
    ATTRIBUTE_CHAR21              VARCHAR2(600) ,
    ATTRIBUTE_CHAR22              VARCHAR2(600) ,
    ATTRIBUTE_CHAR23              VARCHAR2(600) ,
    ATTRIBUTE_CHAR24              VARCHAR2(600) ,
    ATTRIBUTE_CHAR25              VARCHAR2(600) ,
    ATTRIBUTE_CHAR26              VARCHAR2(600) ,
    ATTRIBUTE_CHAR27              VARCHAR2(600) ,
    ATTRIBUTE_CHAR28              VARCHAR2(600) ,
    ATTRIBUTE_CHAR29              VARCHAR2(600) ,
    ATTRIBUTE_CHAR30              VARCHAR2(600) ,
    CONSTRAINT pk_cjm_manual_adjustments_all_b PRIMARY KEY (MANUAL_ADJUSTMENT_ID, MANUAL_ADJUSTMENT_ID)
);
